aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-prettytable/APKBUILD
diff options
context:
space:
mode:
authorMatt Dainty <matt+alpine@bodgit-n-scarper.com>2016-03-24 16:33:18 +0000
committerTimo Teräs <timo.teras@iki.fi>2016-03-25 12:05:17 +0000
commit8052f9432562a709386741ac5acfa43416fbb0ca (patch)
treee19111e9daaa18a0516978e4df1665c30c9400ce /testing/py-prettytable/APKBUILD
parentf59178b078a6ac2c3b3b073784c41d71e26cf8d1 (diff)
downloadaports-8052f9432562a709386741ac5acfa43416fbb0ca.tar.gz
aports-8052f9432562a709386741ac5acfa43416fbb0ca.tar.bz2
aports-8052f9432562a709386741ac5acfa43416fbb0ca.tar.xz
testing/py-prettytable: new aport
http://code.google.com/p/prettytable/ A simple Python library for easily displaying tabular data in a visually appealing ASCII table format
Diffstat (limited to 'testing/py-prettytable/APKBUILD')
-rw-r--r--testing/py-prettytable/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-prettytable/APKBUILD b/testing/py-prettytable/APKBUILD
new file mode 100644
index 0000000000..0be4315cdc
--- /dev/null
+++ b/testing/py-prettytable/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Matt Dainty <matt+alpine@bodgit-n-scarper.com>
+# Maintainer:
+pkgname=py-prettytable
+_pkgname=prettytable
+pkgver=0.7.2
+pkgrel=0
+pkgdesc="A simple Python library for easily displaying tabular data in a visually appealing ASCII table format"
+url="http://code.google.com/p/prettytable/"
+arch="noarch"
+license="BSD"
+depends="python"
+makedepends="py-setuptools"
+install=""
+subpackages=""
+source="https://pypi.python.org/packages/source/P/PrettyTable/${_pkgname}-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ chmod 644 ${_pkgname}.egg-info/*
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="a6b80afeef286ce66733d54a0296b13b prettytable-0.7.2.tar.gz"
+sha256sums="2d5460dc9db74a32bcc8f9f67de68b2c4f4d2f01fa3bd518764c69156d9cacd9 prettytable-0.7.2.tar.gz"
+sha512sums="84611b9ad11bd428cdb00795e0a9baff44d027331b73ed1742596acda8acc8aca3df4276fa2f2ca2289f10b2989b3c86556de70bca6a9773b15cd80c54c33117 prettytable-0.7.2.tar.gz"